## edu.stanford.nlp.international.arabic
Class ArabicMorphoFeatureSpecification.ArabicMorphoFeatures

    java.lang.Object
      edu.stanford.nlp.international.morph.MorphoFeatures
          edu.stanford.nlp.international.arabic.ArabicMorphoFeatureSpecification.ArabicMorphoFeatures

All Implemented Interfaces:
  Serializable

Enclosing class:
  ArabicMorphoFeatureSpecification

    public static class ArabicMorphoFeatureSpecification.ArabicMorphoFeatures

extends MorphoFeatures

Creates tags that conform to the default "DT" prefix used elsewhere in the codebase

Author:
  Spence Green
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.nlp.international.morph.MorphoFeatures
`fSpec`

Constructor Summary
`ArabicMorphoFeatureSpecification.ArabicMorphoFeatures()`

Method Summary
`MorphoFeatures` `fromTagString(String str)` Assumes that the tag string has been formed using a call to getTag().
`String` `getTag(String baseTag)` Build a POS tag consisting of a base category plus inflectional features.

Methods inherited from class edu.stanford.nlp.international.morph.MorphoFeatures
`addFeature, getValue, hasFeature, numActiveFeatures, numFeatureMatches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArabicMorphoFeatureSpecification.ArabicMorphoFeatures

    public ArabicMorphoFeatureSpecification.ArabicMorphoFeatures()

Method Detail

### fromTagString

    public MorphoFeatures fromTagString(String str)

  Description copied from class: `MorphoFeatures`
  Assumes that the tag string has been formed using a call to getTag(). As such, it removes the basic category from the feature string.

  Overrides:
    `fromTagString` in class `MorphoFeatures`
  Returns:

### getTag

    public String getTag(String baseTag)

  Description copied from class: `MorphoFeatures`
  Build a POS tag consisting of a base category plus inflectional features.

  Overrides:
    `getTag` in class `MorphoFeatures`
  Returns:

Stanford NLP Group